import request from '@/utils/request'

// 查询素材信息列表
export function listMaterials(query) {
    return request({
        url: '/manage/materials/list',
        method: 'get',
        params: query
    })
}

// 查询素材信息详细
export function getMaterials(id) {
    return request({
        url: '/manage/materials/' + id,
        method: 'get'
    })
}

// 新增素材信息
export function addMaterials(data) {
    return request({
        url: '/manage/materials',
        method: 'post',
        data: data
    })
}

// 修改素材信息
export function updateMaterials(data) {
    return request({
        url: '/manage/materials',
        method: 'put',
        data: data
    })
}

// 删除素材信息
export function delMaterials(id) {
    return request({
        url: '/manage/materials/' + id,
        method: 'delete'
    })
}
// 人群列表


export function crowdInfo(query) {
    return request({
        url: '/manage/crowdInfo/getList',
        method: 'get',
        params: query
    })
}
